Create Purchase Order: Rent Manager
https://api.propexo.com/v1/purchase-orders/rentmanager/| Method |
|---|
| POST /PurchaseOrders |
This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - Array [
- ]
The Propexo unique identifier for the integration
The Propexo unique identifier for the vendor
The Propexo unique identifier for the location
The Propexo unique identifier for the employee. Recorded as the requesting user on the purchase order
Description of the purchase order
The number of the purchase order
The order date for the purchase order
Show 2 variants
The total amount of the purchase order
Possible values: >= 0
The first address line associated with the shipping address for the purchase order
The first address line associated with the billing address for the purchase order
purchase_order_items object[]required
Line items for the purchase order. Each item represents a detail line in Rent Manager.
Possible values: >= 1
The Propexo unique identifier for the property
The Propexo unique identifier for the unit
The Propexo unique identifier for the construction job
The Propexo unique identifier for the inventory item
Description of the purchase order item
The quantity ordered for the purchase order item
The unit price, in cents, of the purchase order item
Possible values: >= 0
The total cost, in cents, of the purchase order item
Possible values: >= 0
Response
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - Array [
- ]
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the vendor
The Propexo unique identifier for the location
The Propexo unique identifier for the employee. Recorded as the requesting user on the purchase order
Description of the purchase order
The number of the purchase order
Show 2 variants
The total amount of the purchase order
Possible values: >= 0
The first address line associated with the shipping address for the purchase order
The first address line associated with the billing address for the purchase order
purchase_order_items object[]required
The Propexo unique identifier for the property
The Propexo unique identifier for the unit
The Propexo unique identifier for the construction job
The Propexo unique identifier for the inventory item
Description of the purchase order item
The quantity ordered for the purchase order item
The unit price, in cents, of the purchase order item
Possible values: >= 0
The total cost, in cents, of the purchase order item
Possible values: >= 0
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/purchase-orders/rentmanager/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"vendor_id": "string",
"location_id": "string",
"employee_id": "string",
"description": "string",
"number": "string",
"order_date": "2024-07-29T15:51:28.071Z",
"total_amount_in_cents": 0,
"purchase_order_items": [
{
"property_id": "string",
"unit_id": "string",
"construction_job_id": "string",
"inventory_item_id": "string",
"description": "string",
"quantity_ordered": 0,
"unit_price_in_cents": 0,
"total_cost_in_cents": 0
}
]
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"vendor_id": "string",
"location_id": "string",
"employee_id": "string",
"description": "string",
"number": "string",
"order_date": "2024-07-29T15:51:28.071Z",
"total_amount_in_cents": 0,
"shipping_address_1": "string",
"billing_address_1": "string",
"purchase_order_items": [
{
"property_id": "string",
"unit_id": "string",
"construction_job_id": "string",
"inventory_item_id": "string",
"description": "string",
"quantity_ordered": 0,
"unit_price_in_cents": 0,
"total_cost_in_cents": 0
}
]
}
}